Skip to main content
PATCH
/
seller
/
webhooks
/
{webhookId}
Update a webhook
curl --request PATCH \
  --url https://api.managem.co.uk/seller/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "description": "<string>",
  "enabled": true,
  "additionalHeaders": {},
  "subscriptions": [
    "LISTING_CREATED"
  ]
}
'
{
  "id": "<string>",
  "url": "<string>",
  "enabled": true,
  "additionalHeaders": {},
  "secret": "<string>",
  "lastSuccessAt": "2023-11-07T05:31:56Z",
  "lastFailureAt": "2023-11-07T05:31:56Z",
  "consecutiveFailures": 123,
  "maxConsecutiveFailures": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "subscriptions": [
    "LISTING_CREATED"
  ],
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookId
string
required

Identifier of the webhook endpoint to update

Body

application/json

Fields that can be updated on a webhook endpoint

url
string<uri>

Destination URL that will receive webhook deliveries

description
string

Optional human readable description

Maximum string length: 1024
enabled
boolean

Whether the webhook should be active immediately

additionalHeaders
object

Additional headers to include on webhook deliveries

subscriptions
enum<string>[]

Initial subscriptions to associate with the webhook

Minimum array length: 1

Event types that can trigger a webhook notification

Available options:
LISTING_CREATED,
LISTING_UPDATED,
LISTING_DELETED,
ORDER_CREATED,
ORDER_UPDATED,
TEST

Response

Updated webhook endpoint

Represents a webhook endpoint configured by a seller to receive event notifications.

id
string
required

Unique identifier for the webhook endpoint

url
string<uri>
required

Destination URL for webhook deliveries

enabled
boolean
required

Indicates whether the webhook is currently active

additionalHeaders
object
required

Additional headers sent with each webhook request

secret
string
required

Shared secret used to generate webhook signatures

lastSuccessAt
string<date-time> | null
required

Timestamp of the most recent successful delivery

lastFailureAt
string<date-time> | null
required

Timestamp of the most recent failed delivery

consecutiveFailures
integer
required

Current number of consecutive delivery failures

maxConsecutiveFailures
integer
required

Threshold at which the webhook will automatically be disabled

createdAt
string<date-time>
required

Timestamp when the webhook endpoint was created

updatedAt
string<date-time>
required

Timestamp when the webhook endpoint was last updated

subscriptions
enum<string>[]
required

Event types that the webhook is subscribed to

Event types that can trigger a webhook notification

Available options:
LISTING_CREATED,
LISTING_UPDATED,
LISTING_DELETED,
ORDER_CREATED,
ORDER_UPDATED,
TEST
description
string | null

Optional human readable description